/// <reference types="react" />
export declare function useOnClickOutside(handler: (e: Event) => void): {
    panelRef: import("react").MutableRefObject<HTMLElement | null>;
    setPanelRef: (node: unknown) => void;
    iconRef: import("react").MutableRefObject<HTMLElement | null>;
    setIconRef: (node: unknown) => void;
};
export declare function executeMediaQuery(mediaQuery: string): MediaQueryList;
export declare function useMediaQuery(mediaQuery: string): boolean;
